Subject: RE: bug#29077: 26.0; NEWS: "Values in call stack frames are now displayed using `cl-prin1'"

From: Drew Adams <[email-masked]>
Date: Tue, 31 Oct 2017 19:59:39 -0700 (PDT)

> >   :group 'convenience)
> 
> Did you mean to put this in?  I don't see very many uses of :group
> 'convenience, and most are in defgroup forms.

No, not for this.  I add a :group by habit.  Emacs used to
complain if there isn't one.  It was just a `foo' example.

> > If you use larger list elements then you will see that
> > the list gets truncated.
> >
> > (defun return-a-large-list ()
> >   (let ((lst  ()))
> >     (dotimes (ii 5)
> >       (push ctl-x-map lst))
> >     lst))
> 
> Hmm, nope not seeing it.  Do you get this from 'emacs -Q'?  As far as I
> can tell, there is nothing in cl-print.el that would perform truncation.

Damn! Such a waste of time. Sorry for the noise - it took
me a while to figure it out.

For some reason (I don't even recall) I had a copy of `cl-print.el'
that dated from 2017-09-10 in my load-path. That was being loaded.

Very sorry for the noise.  Please close this bug.